<?
	// funkcja do przeliczania aktualnie zajmowanego miejsca w rankingu przez graczy
	function przelicz_miejsca_graczy(){
		$miejsce = 1;
		// wyświetl graczy posortowanych po "razem" w danym pokoju
		$gracze = mysql_query("SELECT id FROM gracze WHERE id_pokoju='".$_SESSION['pokoj_gracza']."' and stan=1 ORDER BY razem DESC, kolejnosc ASC;");
      while($gracz = mysql_fetch_array($gracze)){
			// + przydziel odpowiednie miejsca
			$update = mysql_query("UPDATE gracze SET miejsce='".$miejsce."' WHERE id='".$gracz['id']."' LIMIT 1;");
			$miejsce++;
      }
	}
	// funkcja do wyliczania "razem" z gotowki i majatki dla wszystkich graczy w tym pokoju
	function przelicz_gotowke_majatek_razem(){
		$gracze = mysql_query("SELECT id,gotowka,majatek FROM gracze WHERE id_pokoju='".$_SESSION['pokoj_gracza']."' and stan=1;");
      while($gracz = mysql_fetch_array($gracze)){
			$update = mysql_query("UPDATE gracze SET razem='".($gracz['gotowka']+$gracz['majatek'])."',czas_aktualizacji='".time()."' WHERE id='".$gracz['id']."' LIMIT 1;");
      }
	}
	// ustawiamy pionki na odpowiednich polach (na start przy ustawieniu pierwszym rozgrywki, oraz po wykonaniu ruchu przez gracza)
	function ustaw_pionki(){
		// wycerowanie wszystkich pol
		$update = mysql_query("UPDATE pola SET pionki='' WHERE id_pokoju='".$_SESSION['pokoj_gracza']."';");
		// lista graczy i dopisanie ich do "pola" w kolumnę "pionki" (id#)
		$gracze = mysql_query("SELECT id,pozycja FROM gracze WHERE id_pokoju='".$_SESSION['pokoj_gracza']."' AND stan=1 AND czy_bankrut=0 ORDER BY kolejnosc ASC;");
      while($gracz = mysql_fetch_array($gracze)){
			// jeśli pola nie ma to je tworzymy
			$pole = mysql_fetch_array(mysql_query("SELECT id,pionki FROM pola WHERE id_pokoju='".$_SESSION['pokoj_gracza']."' AND id_pola='".$gracz['pozycja']."' LIMIT 1;"));
			if($pole['id']!=NULL){
				$update = mysql_query("UPDATE pola SET pionki='".$pole['pionki'].$gracz['id']."#',czas_aktualizacji='".time()."' WHERE id='".$pole['id']."' LIMIT 1;");
			}else{
				$insert = mysql_query("INSERT INTO pola (id_pola,id_pokoju,pionki,czas_dodania) VALUES ('".$gracz['pozycja']."','".$_SESSION['pokoj_gracza']."','".$gracz['id']."#','".time()."')");
			}
      }
	}
?>